Help us understand the problem. What is going on with this article?

今日の作業記録 python error(言語処理100本ノック:84)解決

More than 1 year has passed since last update.
# ./p84.py
Traceback (most recent call last):
  File "./p84.py", line 17, in <module>
    with open(fname_counter_tc, 'rb') as data_file:
FileNotFoundError: [Errno 2] No such file or directory: 'counter_tc'
# ./p85.py
Traceback (most recent call last):
  File "/opt/conda/lib/python3.7/site-packages/scipy/io/matlab/mio.py", line 33, in _open_file
    return open(file_like, 'rb'), True
FileNotFoundError: [Errno 2] No such file or directory: 'matrix_x'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./p85.py", line 10, in <module>
    matrix_x = io.loadmat(fname_matrix_x)['matrix_x']
  File "/opt/conda/lib/python3.7/site-packages/scipy/io/matlab/mio.py", line 141, in loadmat
    MR, file_opened = mat_reader_factory(file_name, appendmat, **kwargs)
  File "/opt/conda/lib/python3.7/site-packages/scipy/io/matlab/mio.py", line 64, in mat_reader_factory
    byte_stream, file_opened = _open_file(file_name, appendmat)
  File "/opt/conda/lib/python3.7/site-packages/scipy/io/matlab/mio.py", line 39, in _open_file
    return open(file_like, 'rb'), True
FileNotFoundError: [Errno 2] No such file or directory: 'matrix_x.mat'
# ./p86.py
Traceback (most recent call last):
  File "./p86.py", line 12, in <module>
    with open(fname_dict_index_t, 'rb') as data_file:
FileNotFoundError: [Errno 2] No such file or directory: 'dict_index_t'
# ./p87.py
Traceback (most recent call last):
  File "./p87.py", line 19, in <module>
    with open(fname_dict_index_t, 'rb') as data_file:
FileNotFoundError: [Errno 2] No such file or directory: 'dict_index_t'
# ./p88.py
Traceback (most recent call last):
  File "./p88.py", line 19, in <module>
    with open(fname_dict_index_t, 'rb') as data_file:
FileNotFoundError: [Errno 2] No such file or directory: 'dict_index_t'
# ./p89.py
Traceback (most recent call last):
  File "./p89.py", line 19, in <module>
    with open(fname_dict_index_t, 'rb') as data_file:
FileNotFoundError: [Errno 2] No such file or directory: 'dict_index_t'
kaizen_nagoya
I'm a network designer.I work on TOPPERS SmallestSetProfile Kernel,MISRA-C, STARC RTL Design StyleGuide (Verilog-HDL),HAZOP,ISO/IEC15504(AutomotiveSPICE),ISO26262. I was an editor on ISO/IEC 15504.
https://researchmap.jp/blogs/blog_entries/view/81777/f691323917cc4ea12caf0b03b34c8ea0?frame_id=442673
Why not register and get more from Qiita?
  1. We will deliver articles that match you
    By following users and tags, you can catch up information on technical fields that you are interested in as a whole
  2. you can read useful information later efficiently
    By "stocking" the articles you like, you can search right away